• 注册
  • BBS
  • BBS
  • BBS
  • BBS
  • BBS
  • BBS
  • BBS Openssh 关注:11 内容:13

    Centos6下Openssh-8.2p1版本升级脚本

  • 查看作者
  • 打赏作者
  • 拉黑名单
  • Lv.11
    十月你好

    Centos6下Openssh-8.2p1版本升级脚本

    下载所需要的Openssh-8.2p1离线rpm安装包

    https://aq2.cn/131.html

    升级Openssh注意事项:

    1. ssh升级前最好开启另一个ssh会话,或者采用Dropbear开启另一个ssh端口,再操作ssh升级,避免ssh升级失败导致ssh无法连接;

    2. 升级线上环境最好先测试环境先测试验证,了解ssh升级步骤方可线上环境操作;

    3. 事先要有备用方案,如果ssh升级失败,如果是阿里云可以通过WEB页面ssh进入服务器回退配置;

    4. 本脚本只在系统默认配置下测试验证通过,如果ssh配置有做特殊修改需注意,另作修改再验证;

    测试验证

    1.检查系统版本和ssh版本

    Centos6下Openssh-8.2p1版本升级脚本

    2.上传版本Openssh-8.2p1离线rpm安装包和下面升级脚本

    Centos6下Openssh-8.2p1版本升级脚本

    3.执行升级脚本ssh.sh

    Centos6下Openssh-8.2p1版本升级脚本

    检查Openssh版本

    Centos6下Openssh-8.2p1版本升级脚本

    Centos6下Openssh-8.2p1版本升级脚本如下

    隐藏内容需要回复可以看见

    回复

    支持,学习下

    回复

    支持支持

    回复
    Lv.1

    谢谢

    回复

    openssl是不是也要升级到1.0.2版本?

  • aq2cnopenssl升级到1.0.2版本,不好搞成rpm包,只能编译openssl来升级,即使这样openssh编译成rpm包还是系统默认的openssl 1.0.1e,除非你有啥好方法?
    拉黑 2年前 电脑端回复
  • 回复
    Lv.1

    error: Installed (but unpackaged) file(s) found:

    /usr/libexec/openssh/ssh-sk-helper

    /usr/share/man/man8/ssh-sk-helper.8.gz

    打包失败。。

  • aq2cn用本站rpm包即可,不用亲自打包了
    拉黑 2年前 电脑端回复
  • Hyouka好的,测试可用感谢
    拉黑 2年前 电脑端回复
  • 回复
    Lv.1

    学习了

    回复

    学习

    回复
    Lv.1

    谢谢分享


    回复

    请登录之后再进行评论

    登录
  • 做任务
  • 实时动态
  • 偏好设置
  • 帖子间隔 侧栏位置: